package org.kie.examples.cdi.webapp;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.inject.Inject;
import org.kie.api.cdi.KSession;
import org.kie.api.runtime.KieSession;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Injects a KIE Session during application start up.
 */
@Singleton
@Startup
public class SimpleBean {

    private static final Logger LOG = LoggerFactory.getLogger(SimpleBean.class);
            
    @Inject
    @KSession("basic")
    private KieSession basicKieSession;

    @PostConstruct
    public void init() {
        if (basicKieSession != null) {
            LOG.info("KieSession injected.");
        } else {
            LOG.error("Injected KieSession is null!");
        }
    }
}
